com.brightcove.player.concurrency

## Class HeartbeatStarterTask

- java.lang.Object
- - android.os.AsyncTask<java.net.URI,java.lang.Void,HttpResponse>
  - - com.brightcove.player.concurrency.HeartbeatTask
    - - com.brightcove.player.concurrency.HeartbeatStarterTask

-     public class HeartbeatStarterTask
      extends HeartbeatTask

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class android.os.AsyncTask

      `android.os.AsyncTask.Status`

  - ### Field Summary

    - ### Fields inherited from class com.brightcove.player.concurrency.HeartbeatTask

      `httpRequestConfig, httpService, listener`

    - ### Fields inherited from class android.os.AsyncTask

      `SERIAL_EXECUTOR, THREAD_POOL_EXECUTOR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HeartbeatStarterTask(HttpRequestConfig httpRequestConfig, com.brightcove.player.concurrency.ConcurrencyNetworkConnector.HeartbeatListener listener)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected HttpResponse` | `doInBackground(java.net.URI... uris)`
    `protected void` | `onPostExecute(HttpResponse response)`

    - ### Methods inherited from class android.os.AsyncTask

      `cancel, execute, execute, executeOnExecutor, get, get, getStatus, isCancelled, onCancelled, onCancelled, onPreExecute, onProgressUpdate, publishProgress`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HeartbeatStarterTask

          public HeartbeatStarterTask(HttpRequestConfig httpRequestConfig,
                                      com.brightcove.player.concurrency.ConcurrencyNetworkConnector.HeartbeatListener listener)

  - ### Method Detail

    - #### doInBackground

          protected HttpResponse doInBackground(java.net.URI... uris)

      Specified by:
        `doInBackground` in class `android.os.AsyncTask<java.net.URI,java.lang.Void,HttpResponse>`

    - #### onPostExecute

          protected void onPostExecute(HttpResponse response)

      Overrides:
        `onPostExecute` in class `android.os.AsyncTask<java.net.URI,java.lang.Void,HttpResponse>`